/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2007 hiyohiyo, All rights reserved.
/*---------------------------------------------------------------------------*/

#include "stdafx.h"
#include "CrystalCpuid.h"
#include "CrystalCpuidDlg.h"
#include "BiosInfoDlg.h"

#define SIZE_X		360
#define SIZE_Y		330

IMPLEMENT_DYNCREATE(CBiosInfoDlg, CDHtmlDialog)

CBiosInfoDlg::CBiosInfoDlg(CWnd* pParent /*=NULL*/)
	: CDHtmlDialogEx(CBiosInfoDlg::IDD, NULL/*CBiosInfoDlg::IDH*/, pParent)
{
	m_WmiInfo = ((CCrystalCpuidApp*)AfxGetApp())->GetWmiInfo();
}

CBiosInfoDlg::~CBiosInfoDlg()
{
}

void CBiosInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDHtmlDialogEx::DoDataExchange(pDX);

	DDX_DHtml_ElementText(pDX, _T("BiosCaption"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_BiosCaption);
	DDX_DHtml_ElementText(pDX, _T("BiosDate"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_BiosDate);
	DDX_DHtml_ElementText(pDX, _T("BiosManufacturer"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_BiosManufacturer);
	DDX_DHtml_ElementText(pDX, _T("BiosVersion"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_BiosVersion);
	DDX_DHtml_ElementText(pDX, _T("MotherManufacturer"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_MotherManufacturer);
	DDX_DHtml_ElementText(pDX, _T("MotherProduct"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_MotherProduct);
	DDX_DHtml_ElementText(pDX, _T("MotherVersion"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_MotherVersion);
	DDX_DHtml_ElementText(pDX, _T("SmBiosCaption"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_SmBiosCaption);
	DDX_DHtml_ElementText(pDX, _T("SmBiosVersion"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_SmBiosVersion);
	DDX_DHtml_ElementText(pDX, _T("SystemManufacturer"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_SystemManufacturer);
	DDX_DHtml_ElementText(pDX, _T("SystemModel"), DISPID_IHTMLELEMENT_INNERTEXT, m_WmiInfo->m_SystemModel);
}

BOOL CBiosInfoDlg::OnInitDialog()
{
	CDHtmlDialogEx::OnInitDialog();

	InitDHtmlDialog(SIZE_X, SIZE_Y, 
		((CCrystalCpuidApp*)AfxGetApp())->m_BiosInfoDlgPath);

	return TRUE;
}

void CBiosInfoDlg::OnDocumentComplete(LPDISPATCH pDisp, LPCTSTR szUrl)
{
	CString cstr;
	cstr = szUrl;
	if(cstr.Find(_T("html")) != -1 || cstr.Find(_T("dlg")) != -1)
	{
		UpdateData(FALSE);
		m_FlagShowWindow = TRUE;
		ShowWindow(SW_SHOW);
	}
}

BEGIN_MESSAGE_MAP(CBiosInfoDlg, CDHtmlDialogEx)
END_MESSAGE_MAP()

BEGIN_DHTML_EVENT_MAP(CBiosInfoDlg)
END_DHTML_EVENT_MAP()
